Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class FilePrintStreamFactory.FilePrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.jbehave.core.reporters.FilePrintStreamFactory.FilePrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Enclosing class:
  FilePrintStreamFactory

    public static class FilePrintStreamFactory.FilePrintStream

extends PrintStream

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`FilePrintStreamFactory.FilePrintStream(File outputFile, boolean append)`

Method Summary
`String` | `toString()`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilePrintStreamFactory.FilePrintStream

    public FilePrintStreamFactory.FilePrintStream(File outputFile,
                                                  boolean append)
                                           throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.